С наступающим Новым годом! Форум программистов, компьютерный форум, киберфорум
Наши страницы
AutoCAD
Войти
Регистрация
Восстановить пароль
 
Omnio
0 / 0 / 1
Регистрация: 19.07.2009
Сообщений: 50
1

AutoCAD и ObjectARX

16.05.2018, 15:59. Просмотров 229. Ответов 2
Метки нет (Все метки)

Приветствую, есть ли на форуме те, кто работал с фреймворком ObjectARX для AutoCAD.
Разрабатываю модуль *.arx в Visual Studio на C++ который уже после подгружаю в Автокад и пытаюсь выполнить внутри него следующее:

Вопрос в следующем, имею три точки (координаты каждой из них), причём
Точка_1 это начало первой линии и Точка_2 её конец. Точка_2 это начало второй линии и Точка_3 её конец.
Две линии успешно рисуются средствами AcDbLine из ObjectARX.
Задача: Необходимо в образованный этими линиями угол вписать окружность с заданным Радиусом.
Радиус, как и координаты точек вводятся пользователем.
Вопрос: Подскажите хотябы последоватльность действий или методов, которые стоит применить для того чтобы успешнос вписать
объект круг между двумя другими объектами (линиями), или как тут стоит использовать AcGeVector3d ?
0
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
16.05.2018, 15:59
Ответы с готовыми решениями:

AutoCad
кто может дать ссылку на скачку желательно с казахстанских страниц лучши если...

AutoCAD
Ребят, помогите пожалуйста разобраться, как построить виды этой детали?

AutoCad
Приветствую! Проблема в следующем: после того как я ввел всех пользователей в...

Масштабирование в AutoCAD
День добрый. Вожусь вот с автокадом 2016, возник вопрос - почему-то автокад...

Резец в autocad 3D
Привет форумчане при построении резца возникли некоторые проблемы с его...

2
vlisp
487 / 460 / 110
Регистрация: 10.08.2015
Сообщений: 1,573
Завершенные тесты: 1
04.07.2018, 11:09 2
в автокаде есть опции команды круг тангенс тангенс радиус, программно решается через тригонометрию
0
Dinoxromniy
438 / 234 / 73
Регистрация: 22.12.2015
Сообщений: 678
05.07.2018, 22:44 3
Мне казалось, что при радиусе окружности R нужно получить уравнение прямой, параллельной отрезку 1 и удаленной от нее на величину R. Таких прямых будет две, вам нужна та, которая пересекает отрезок 2. Аналогично получите уравнение второй прямой, которая будет параллельно отрезку 2, отстоять от него на R и пересекать отрезок 1. Пересечение этих двух прямых есть центр вашей окружности радиуса R, вписанной в ваши отрезки. В этих координатах чертим окружность. Тут следует уточнить, что если под углом понимаются не сами отрезки (они конечной длины, и в них можно вписать не любую окружность), то нужно получить уравнения прямых, которым они принадлежат (эти прямые бесконечны).
0
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
05.07.2018, 22:44

AutoCaD 2015
Доброго времени суток. У меня возникла проблема, после непродолжительной работы...

Не устанавливается AutoCAD
Здравствуйте, уважаемые форумчане. Такая вот у меня очередная проблема: во...

autocad 2006 1:1
Раньше когда принтер был установлен и остальные печатали с него по сети то...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
3
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Рейтинг@Mail.ru